Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipSequelMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipSequelMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipSequelMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Sequel Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getActRelationshipSequelMember3()`

Field Summary
`static int` | `APND` The 'APND' literal value.
`static ActRelationshipSequelMember3` | `APND_LITERAL` The 'APND' literal object.
`static int` | `DOC` The 'DOC' literal value.
`static ActRelationshipSequelMember3` | `DOC_LITERAL` The 'DOC' literal object.
`static int` | `ELNK` The 'ELNK' literal value.
`static ActRelationshipSequelMember3` | `ELNK_LITERAL` The 'ELNK' literal object.
`static int` | `GEN` The 'GEN' literal value.
`static ActRelationshipSequelMember3` | `GEN_LITERAL` The 'GEN' literal object.
`static int` | `GEVL` The 'GEVL' literal value.
`static ActRelationshipSequelMember3` | `GEVL_LITERAL` The 'GEVL' literal object.
`static int` | `INST` The 'INST' literal value.
`static ActRelationshipSequelMember3` | `INST_LITERAL` The 'INST' literal object.
`static int` | `MTCH` The 'MTCH' literal value.
`static ActRelationshipSequelMember3` | `MTCH_LITERAL` The 'MTCH' literal object.
`static int` | `OPTN` The 'OPTN' literal value.
`static ActRelationshipSequelMember3` | `OPTN_LITERAL` The 'OPTN' literal object.
`static int` | `REV` The 'REV' literal value.
`static ActRelationshipSequelMember3` | `REV_LITERAL` The 'REV' literal object.
`static int` | `SEQL` The 'SEQL' literal value.
`static ActRelationshipSequelMember3` | `SEQL_LITERAL` The 'SEQL' literal object.
`static int` | `UPDT` The 'UPDT' literal value.
`static ActRelationshipSequelMember3` | `UPDT_LITERAL` The 'UPDT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Sequel Member3' enumerators.
`static int` | `XFRM` The 'XFRM' literal value.
`static ActRelationshipSequelMember3` | `XFRM_LITERAL` The 'XFRM' literal object.

Method Summary
`static ActRelationshipSequelMember3` | `get(int value)` Returns the 'Act Relationship Sequel Member3' literal with the specified integer value.
`static ActRelationshipSequelMember3` | `get(java.lang.String literal)` Returns the 'Act Relationship Sequel Member3' literal with the specified literal value.
`static ActRelationshipSequelMember3` | `getByName(java.lang.String name)` Returns the 'Act Relationship Sequel Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEQL

    public static final int SEQL

  The 'SEQL' literal value.

  If the meaning of 'SEQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SEQL_LITERAL`, Constant Field Values

### APND

    public static final int APND

  The 'APND' literal value.

  If the meaning of 'APND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APND_LITERAL`, Constant Field Values

### DOC

    public static final int DOC

  The 'DOC' literal value.

  If the meaning of 'DOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOC_LITERAL`, Constant Field Values

### ELNK

    public static final int ELNK

  The 'ELNK' literal value.

  If the meaning of 'ELNK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ELNK_LITERAL`, Constant Field Values

### GEN

    public static final int GEN

  The 'GEN' literal value.

  If the meaning of 'GEN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GEN_LITERAL`, Constant Field Values

### GEVL

    public static final int GEVL

  The 'GEVL' literal value.

  If the meaning of 'GEVL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GEVL_LITERAL`, Constant Field Values

### INST

    public static final int INST

  The 'INST' literal value.

  If the meaning of 'INST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INST_LITERAL`, Constant Field Values

### MTCH

    public static final int MTCH

  The 'MTCH' literal value.

  If the meaning of 'MTCH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MTCH_LITERAL`, Constant Field Values

### OPTN

    public static final int OPTN

  The 'OPTN' literal value.

  If the meaning of 'OPTN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OPTN_LITERAL`, Constant Field Values

### REV

    public static final int REV

  The 'REV' literal value.

  If the meaning of 'REV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REV_LITERAL`, Constant Field Values

### UPDT

    public static final int UPDT

  The 'UPDT' literal value.

  If the meaning of 'UPDT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UPDT_LITERAL`, Constant Field Values

### XFRM

    public static final int XFRM

  The 'XFRM' literal value.

  If the meaning of 'XFRM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XFRM_LITERAL`, Constant Field Values

### SEQL_LITERAL

    public static final ActRelationshipSequelMember3 SEQL_LITERAL

  The 'SEQL' literal object.

  See Also:
    `SEQL`

### APND_LITERAL

    public static final ActRelationshipSequelMember3 APND_LITERAL

  The 'APND' literal object.

  See Also:
    `APND`

### DOC_LITERAL

    public static final ActRelationshipSequelMember3 DOC_LITERAL

  The 'DOC' literal object.

  See Also:
    `DOC`

### ELNK_LITERAL

    public static final ActRelationshipSequelMember3 ELNK_LITERAL

  The 'ELNK' literal object.

  See Also:
    `ELNK`

### GEN_LITERAL

    public static final ActRelationshipSequelMember3 GEN_LITERAL

  The 'GEN' literal object.

  See Also:
    `GEN`

### GEVL_LITERAL

    public static final ActRelationshipSequelMember3 GEVL_LITERAL

  The 'GEVL' literal object.

  See Also:
    `GEVL`

### INST_LITERAL

    public static final ActRelationshipSequelMember3 INST_LITERAL

  The 'INST' literal object.

  See Also:
    `INST`

### MTCH_LITERAL

    public static final ActRelationshipSequelMember3 MTCH_LITERAL

  The 'MTCH' literal object.

  See Also:
    `MTCH`

### OPTN_LITERAL

    public static final ActRelationshipSequelMember3 OPTN_LITERAL

  The 'OPTN' literal object.

  See Also:
    `OPTN`

### REV_LITERAL

    public static final ActRelationshipSequelMember3 REV_LITERAL

  The 'REV' literal object.

  See Also:
    `REV`

### UPDT_LITERAL

    public static final ActRelationshipSequelMember3 UPDT_LITERAL

  The 'UPDT' literal object.

  See Also:
    `UPDT`

### XFRM_LITERAL

    public static final ActRelationshipSequelMember3 XFRM_LITERAL

  The 'XFRM' literal object.

  See Also:
    `XFRM`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Sequel Member3' enumerators.

Method Detail

### get

    public static ActRelationshipSequelMember3 get(java.lang.String literal)

  Returns the 'Act Relationship Sequel Member3' literal with the specified literal value.

### getByName

    public static ActRelationshipSequelMember3 getByName(java.lang.String name)

  Returns the 'Act Relationship Sequel Member3' literal with the specified name.

### get

    public static ActRelationshipSequelMember3 get(int value)

  Returns the 'Act Relationship Sequel Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD